﻿using D3StatsClient.D3MemoryAPI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace D3StatsClient.Model
{
    public class DropStats
    {
        public string Name { get; set; }
        public ItemQuality Quality { get; set; }
        public string Location { get; set; }
        public string Seed { get; set; }
        public DateTime Time { get; set; }
        public int ItemLevel { get; set; }
        public int MagicFind { get; set; }
        public string Server { get; set; }

        public void Save(IStatsProvider stats)
        {
            stats.RecordDrop(this);
        }
    }
}
