﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace D3StatsClient.Model
{
    public interface IStatsProvider
    {
        void OpenConnection(string name);
        void CloseConnection(TimeSpan played);
        void RecordDrop(DropStats drop);
        bool ContainsDrop(int uniqueId);
        void ResumeSession();
    }
}
