﻿using D3StatsClient.Model;
using D3StatsClient.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace D3StatsClient.View
{
    /// <summary>
    /// Interaction logic for SessionPickerWindow.xaml
    /// </summary>
    public partial class SessionPickerWindow
    {
        public SessionPickerWindow()
        {
            InitializeComponent();

            SessionPickerWindowViewModel vm = new SessionPickerWindowViewModel();

            //Store in the viewmodel manager
            ViewModelManager<SessionPickerWindowViewModel>.ViewModel = vm;

            this.DataContext = vm;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
