﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using D3StatsClient.ViewModel;
using D3StatsClient.Model;

namespace D3StatsClient.View
{
    /// <summary>
    /// Interaction logic for SettingsWindow.xaml
    /// </summary>
    public partial class SettingsWindow
    {
        public SettingsWindow()
        {
            InitializeComponent();

            //this.Topmost = true;

            Properties.Settings.Default.Reload();

            SettingsWindowsViewModel vm = new SettingsWindowsViewModel();
            ViewModelManager<SettingsWindowsViewModel>.ViewModel = vm;

            this.DataContext = vm;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
